Subject: bug#15046: 24.3.50; Extra Line under minibuffer in Mac OSX fullscreen

From: Deyuan Deng <[email-masked]>
Date: Fri, 9 Aug 2013 09:39:43 -0600

Hi Martin,

Thanks for your patch. I will try my best to apply it to OSX, i'm new to
elisp so it may take a little bit longer. I'm also interested in fixing it
in other platform if no one is working on that part.

Thanks for all your help, it's a great community.

Best,
Deyuan

On Fri, Aug 9, 2013 at 7:37 AM, Eli Zaretskii <[email-masked]> wrote:

> > From: Jan Djärv <[email-masked]>
> > Date: Fri, 9 Aug 2013 14:41:24 +0200
> > Cc: [email-masked],
> >  [email-masked]
> >
> > > I'm not sure what you mean by "displays whole lines", but at least
> > > taken at face value, this is incorrect: Emacs is perfectly capable of
> > > displaying partially visible lines.
> >
> > So why don't it?  The display engine got all information it needs, the
> frame size in pixels, the line sizes in pixels, the placement of the
> windows and so on.  It should be able to distribute the non-whole line
> pixels to a widow and display a partial line there (i.e. above the mode
> line as suggested elsewhere), but it currently don't.  That is what I mean
> by displays whole lines.
>
> What you mean is Emacs is unable to _resize_ a window in pixel
> increments.  It can only change window size in integral increments of
> the frame's default face.  That is correct (and AFAIU is the subject
> or Martin's patch).
>
> But once a window is created or resized, it can display partial
> lines.  Just remap the default face and you will see it.
>

-- 
*Deyuan Derrick Deng*
*Master of Electrical and Computer Engineering*
*Carnegie Mellon University*